# X11Forwarder (sshj 0.5.0 API)
Date: 2011-07-27

## net.schmizz.sshj.connection.channel.forwarded
Class X11Forwarder

    java.lang.Object
      net.schmizz.sshj.connection.channel.forwarded.AbstractForwardedChannelOpener
          net.schmizz.sshj.connection.channel.forwarded.X11Forwarder

All Implemented Interfaces:
  ForwardedChannelOpener

    public class X11Forwarder

extends AbstractForwardedChannelOpener

Handles forwarded `x11` channels. The actual request to forward X11 should be made from the specific `Session`.

Nested Class Summary
`static class` `X11Forwarder.X11Channel` An `x11` forwarded channel.

Field Summary

Fields inherited from class net.schmizz.sshj.connection.channel.forwarded.AbstractForwardedChannelOpener
`chanType, conn, log`

Constructor Summary
`X11Forwarder(Connection conn, ConnectListener listener)`

Method Summary
`void` `handleOpen(SSHPacket buf)` Internal API
`void` `stop()` Stop handling `x11` channel open requests.

Methods inherited from class net.schmizz.sshj.connection.channel.forwarded.AbstractForwardedChannelOpener
`callListener, getChannelType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### X11Forwarder

    public X11Forwarder(Connection conn,
                        ConnectListener listener)

Parameters:
  `conn` - connection layer
  `listener` - listener which will be delegated `X11Forwarder.X11Channel`'s to next

Method Detail

### handleOpen

    public void handleOpen(SSHPacket buf)
                    throws ConnectionException,
                           TransportException

  Internal API

  Parameters:
    `buf` - `SSHPacket` containg the request except for the message identifier and channel type field
  Throws:
    `ConnectionException`
    `TransportException`

### stop

    public void stop()

  Stop handling `x11` channel open requests. De-registers itself with connection layer.

Copyright © 2009-2011. All Rights Reserved.